Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.vm.interpreter.instruction
Class IAllocate

    java.lang.Object
      gnu.prolog.vm.interpreter.instruction.Instruction
          gnu.prolog.vm.interpreter.instruction.IAllocate

All Implemented Interfaces:
  Installable

    public class IAllocate

extends Instruction

allocate environment instruction

Field Summary
`int` | `environmentSize` size of environment
`int` | `reserved` reserved fields, fields are reserved for saved choice points and arguments, reserved fields are included in environment size but they are not initilized with unbound variables

Fields inherited from class gnu.prolog.vm.interpreter.instruction.Instruction
`codePosition`

Constructor Summary
`IAllocate(int environmentSize, int reserved)`

Method Summary
`int` | `execute(ExecutionState state, BacktrackInfo bi)` execute call instruction within specified sate
`String` | `toString()` convert instruction to string

Methods inherited from class gnu.prolog.vm.interpreter.instruction.Instruction
`install, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### environmentSize

    public int environmentSize

  size of environment

### reserved

    public int reserved

  reserved fields, fields are reserved for saved choice points and arguments, reserved fields are included in environment size but they are not initilized with unbound variables

Constructor Detail

### IAllocate

    public IAllocate(int environmentSize,
                     int reserved)

Method Detail

### toString

    public String toString()

  convert instruction to string

  Overrides:
    `toString` in class `Object`

### execute

    public int execute(ExecutionState state,
                       BacktrackInfo bi)
                throws PrologException

  execute call instruction within specified sate

  Specified by:
    `execute` in class `Instruction`
  Parameters:
    `state` - state within which instruction will be executed
  Returns:
    instruction to caller how to execute next instruction
  Throws:
    `PrologException` - if code is throwing prolog exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD